package de.hdm_stuttgart.mi.company.ui;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.Title;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

/**
 * Starting example
 *
 */
@Title("Intro")
@Theme("valo")
public class HelloUi  extends UI {

   private static final long serialVersionUID = -307591917714387247L;

   @Override
   protected void init(VaadinRequest request) {
   // The root of the component hierarchy
      VerticalLayout content = new VerticalLayout();
      content.setSizeFull(); // Use entire window
      setContent(content);   // Attach to the UI
      
      // Add some component
      content.addComponent(new Label("Hello!"));
      
      // Layout inside layout
      HorizontalLayout hor = new HorizontalLayout();
      hor.setSizeFull(); // Use all available space

//      // Couple of horizontally laid out components
//      Tree tree = new Tree("My Tree",
//              TreeExample.createTreeContent());
//      hor.addComponent(tree);
//
//      Table table = new Table("My Table",
//              TableExample.generateContent());
//      table.setSizeFull();
//      hor.addComponent(table);
//      hor.setExpandRatio(table, 1); // Expand to fill

      content.addComponent(hor);
      content.setExpandRatio(hor, 1); // Expand to fill
      
   }
   
   /**  Deployed as a Servlet or Portlet.
   *
   *  You can specify additional servlet parameters like the URI and UI
   *  class name and turn on production mode when you have finished developing the application.
   */
  @WebServlet(urlPatterns = "/*")
  @VaadinServletConfiguration(ui = HelloUi.class, productionMode = false)
  public static class MyUIServlet extends VaadinServlet {

    /**
     * 
     */
    private static final long serialVersionUID = -2771410633323765889L;
  }

}
